> ## Documentation Index
> Fetch the complete documentation index at: https://developers.gotolstoy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Webhook

> Add a Webhook for an event

Available events:

* `response_summary`

* `collected_info`

* `conversion`

### Parameters

<ParamField body="event" type="string">
  The event you want to subscribe to
</ParamField>

<ParamField body="url" type="string">
  The url to send the event to
</ParamField>

<RequestExample>
  ```bash Request theme={null}
  curl -X POST https://api.gotolstoy.com/webhooks \
    --header 'Authorization: Bearer <API_KEY>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "8fde3c42-0d34-4d51-8b48-6930c1a5bf80",
    "url": "https://my.web.hook.url",
    "event": "response_summary",
    "owner": "43a7bd93-c302-4c18-93bc-d7151c586336",
    "__typename": "webhook",
    "createdAt": "2021-05-23T13:44:05.854Z",
    "updatedAt": "2021-05-23T13:44:05.854Z"
  }
  ```
</ResponseExample>
